> ## Documentation Index
> Fetch the complete documentation index at: https://docs.renifler.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1sitemap



## OpenAPI

````yaml https://api.renifler.io/openapi.json post /v1/sitemap
openapi: 3.1.0
info:
  title: Renifler API
  description: API endpoints - Public (/v1) and Authenticated (/technologies)
  license:
    name: ''
  version: 1.0.0
servers: []
security: []
paths:
  /v1/sitemap:
    post:
      tags:
        - Scan
      operationId: launch_sitemap
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SitemapRequest'
        required: true
      responses:
        '200':
          description: Sitemap scan launched
        '500':
          description: Internal server error
components:
  schemas:
    SitemapRequest:
      type: object
      required:
        - url
      properties:
        force:
          type:
            - boolean
            - 'null'
        max_pages:
          type:
            - integer
            - 'null'
          minimum: 0
        url:
          type: string

````